<?php
	
	class onAutosubGroupBeforeJoin extends cmsAction {
		
		public function run($data){
			
			$group = $data['group'];
			
			$group_content = array_keys($data['group']['content_counts']);
			
			$target = array();
			
			$subscribe['user_id'] = $this->cms_user->id;
			$subscribe['confirm_token'] = string_random(32, $this->cms_user->email);
			
			foreach ($group_content as $cname){
				$target['controller'] = 'content';
				$target['subject']    = $cname; 
				$target['params']     = array('filters' => array(array('field' => 'parent_id', 'condition' => 'eq', 'value' => $group['id'] ), array('field' => 'parent_type', 'condition' => 'eq', 'value' => 'group')));
				$target['hash']       = md5(serialize($target));
				$target['subject_url'] = 'groups/'.$group['id'].'/content/'. $cname;
				
				$ctype = $this->model_content->getContentTypeByName($cname);
				
				$target['title'] = $group['title']. ' - ' . $ctype['title'];
				
				$this->model_subscriptions->subscribe($target, $subscribe);
				
				$target = false;
			}
			
			return $data;
			
		}
		
	}
